package geoffhom.com.pKaValues {
	
	// Some default values used in this program.
	public final class DefaultValues {
		
		/* For testing on our development machine, which is running Mac OS X.
		To run a PHP script in Mac OS X, PHP 5 and Web Sharing must be enabled,
		and the script must be in the "Sites" directory (i.e., localhost/~user/), 
		as far as I know.
		*/
		public static const LOCAL_URL:String = "http://localhost/~geoffrey2/pka-values/scripts/";
		public static const REMOTE_PATH:String = "scripts/";
		
		// Spacing between a Label and its TextInput, etc. field.
		public static const LABEL_SPACING:int = 2;
		
		/* Number of pixels to shift baseline, for Text Layout Framework.
		We could use baselineShift="subscript". However, that greatly 
		shrinks the font size of the subscript, forcing us to increase 
		the overall font size.
		*/
		public static const SUBSCRIPT_BASELINE_SHIFT:int = -4;
		public static const SUPERSCRIPT_BASELINE_SHIFT:int = 6;
		
		// Preferred fonts for Text Layout Framework.
		public static const FONT_FAMILY_TLF:String = "_sans, Helvetica";
		
		public static const FONT_SIZE_TLF:int = 14;
		public static const FONT_SIZE_SUBSCRIPT_TLF:int = FONT_SIZE_TLF - 2;
	}
}